﻿using System;

namespace Lib3D
{
    public struct Ray
    {
        public Vector3 Origin;
        public Vector3 Direction;

        public Ray(Vector3 origin, Vector3 direction)
        {
            Origin = origin;
            Direction = direction;
        }

        public Vector3 GetPoint(double time)
        {
            return Origin + time * Direction;
        }

        public void Normalize()
        {
            Direction.Normalize();
        }
    }
}
