﻿using System;

namespace Lib3D
{
    public struct Vertex
    {
        public Vector3 Position;
        public Vector3 Normal;
        public Vector4 Color;
        public Vector2 TextureCoordinate;

        public Vertex(Vector3 position, Vector3 normal, Vector2 textureCoordinate)
        {
            Position = position;
            Normal = normal;
            Color = new Vector4(1, 1, 1, 1);
            TextureCoordinate = textureCoordinate;
        }
    }
}
